Bug 479732 - Review Request: perl-MooseX-Role-Parameterized - parameterized roles
Review Request: perl-MooseX-Role-Parameterized - parameterized roles
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
http://search.cpan.org/dist/MooseX-Ro...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-12 14:07 EST by Chris Weyl
Modified: 2013-05-10 08:52 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-14 18:18:55 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Chris Weyl 2009-01-12 14:07:00 EST
Spec URL: http://fedorapeople.org/~cweyl/review/perl-MooseX-Role-Parameterized.spec
SRPM URL: http://fedorapeople.org/~cweyl/review/perl-MooseX-Role-Parameterized-0.02-1.fc10.src.rpm

Description:
Roles are composable units of behavior. They are useful for factoring out
functionality common to many classes from any part of your class hierarchy.
(See Moose::Cookbook::Roles::Recipe1 for an introduction to Moose::Role.)

While combining roles affords you a great deal of flexibility, individual
roles have very little in the way of configurability. Core Moose provides
alias for renaming methods to avoid conflicts, and excludes for ignoring
methods you don't want or need (see Moose::Cookbook::Roles::Recipe2 for more
about alias and excludes).

Because roles serve many different masters, they usually provide only the
least common denominator of functionality. To empower roles further, more
configurability than alias and excludes is required. Perhaps your role needs
to know which method to call when it is done. Or what default value to use for
its url attribute.

Parameterized roles offer exactly this solution.

Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=1047503
Comment 1 Parag AN(पराग) 2009-01-12 22:54:33 EST
- Needs work
+ Ok

Review:
+ package builds in mock (rawhide i386).
koji Build => http://koji.fedoraproject.org/koji/taskinfo?taskID=1047503
- rpmlint is silent NOT for SRPM and for RPM.
perl-MooseX-Role-Parameterized.src: W: summary-not-capitalized parameterized roles
perl-MooseX-Role-Parameterized.noarch: W: summary-not-capitalized parameterized roles

+ source files match upstream url
2adcf2c7225c34768d80efb018d877ab  MooseX-Role-Parameterized-0.02.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test gave
All tests successful.
Files=17, Tests=104,  6 wallclock secs ( 0.06 usr  0.02 sys +  5.19 cusr  0.24 csys =  5.51 CPU)
+ Package perl-MooseX-Role-Parameterized-0.02-1.fc11 =>
 Provides:
 perl(MooseX::Role::Parameterized) = 0.02
 perl(MooseX::Role::Parameterized::Meta::Role::Parameterizable) = 0.02
 perl(MooseX::Role::Parameterized::Meta::Role::Parameterized) = 0.02
 perl(MooseX::Role::Parameterized::Parameters) = 0.02
 perl(MooseX::Role::Parameterized::Tutorial) = 0.02
Requires:
 perl(Moose)
 perl(Moose::Role)
 perl(MooseX::Role::Parameterized::Meta::Role::Parameterizable)
 perl(MooseX::Role::Parameterized::Meta::Role::Parameterized)
 perl(MooseX::Role::Parameterized::Parameters)
 perl(constant)

Suggestion:
1) Summary is not capitalized as reported by rpmlint. Fix that before cvs import.

APPROVED.
Comment 2 Chris Weyl 2009-01-13 01:54:33 EST
New Package CVS Request
=======================
Package Name: perl-MooseX-Role-Parameterized
Short Description: parameterized roles
Owners: cweyl
Branches: F-9 F-10 devel
InitialCC: perl-sig
Comment 3 Kevin Fenzi 2009-01-13 16:19:51 EST
cvs done.
Comment 4 Chris Weyl 2009-01-14 18:18:55 EST
Thanks for the review! :-)
Comment 5 Andrea Veri 2013-05-10 08:33:56 EDT
Package Change Request
======================
Package Name: perl-MooseX-Role-Parameterized
New Branches: el6
Owners: averi psabata
InitialCC: perl-sig
Comment 6 Gwyn Ciesla 2013-05-10 08:52:41 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.